<?xml version="1.0" encoding="utf-8" ?>
<!--
  ~ Copyright (C) 2021 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<com.android.systemui.car.systembar.CarSystemBarView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:systemui="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/system_bar_background"
    android:gravity="center"
    android:orientation="horizontal">

    <LinearLayout
        android:id="@+id/nav_buttons"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <com.android.systemui.car.hvac.TemperatureControlView
            android:id="@+id/driver_hvac"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:layout_gravity="start"
            android:gravity="start|center_vertical"
            systemui:hvacAreaId="49">
            <include layout="@layout/adjustable_temperature_view"/>
        </com.android.systemui.car.hvac.TemperatureControlView>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:gravity="center"
            android:layoutDirection="ltr">

            <com.android.systemui.car.systembar.DisplayAreaButton
                android:id="@+id/grid_nav"
                style="@style/SystemBarButton"
                systemui:componentNames="com.android.car.carlauncher/.AppGridActivity"
                systemui:icon="@drawable/car_ic_apps"
                systemui:highlightWhenSelected="true"
                systemui:toggleSelected="true"
                systemui:intent="intent:#Intent;component=com.android.car.carlauncher/.AppGridActivity;launchFlags=0x24000000;end"
                systemui:clearBackStack="true"/>

            <com.android.systemui.car.systembar.DisplayAreaButton
                android:id="@+id/standalone_notifications"
                style="@style/SystemBarButton"
                systemui:componentNames="com.android.car.notification/.CarNotificationCenterActivity"
                systemui:packages="com.android.car.notification"
                systemui:icon="@drawable/car_ic_notification"
                systemui:highlightWhenSelected="true"
                systemui:toggleSelected="true"
                systemui:intent="intent:#Intent;component=com.android.car.notification/.CarNotificationCenterActivity;launchFlags=0x24000000;end"
                systemui:longIntent="intent:#Intent;component=com.android.car.bugreport/.BugReportActivity;end"/>

            <com.android.systemui.car.systembar.HvacButton
                android:id="@+id/hvac"
                style="@style/SystemBarButton"
                systemui:icon="@drawable/car_ic_hvac"
                systemui:highlightWhenSelected="true"
                systemui:broadcast="true"/>

            <com.android.systemui.car.systembar.AssitantButton
                android:id="@+id/assist"
                style="@style/SystemBarButton"
                systemui:icon="@drawable/car_ic_mic"
                systemui:highlightWhenSelected="true"
                systemui:useDefaultAppIconForRole="true"/>
        </LinearLayout>

        <com.android.systemui.car.hvac.TemperatureControlView
            android:id="@+id/passenger_hvac"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="end"
            android:layout_weight="1"
            android:gravity="end|center_vertical"
            systemui:hvacAreaId="68">
            <include layout="@layout/adjustable_temperature_view"/>
        </com.android.systemui.car.hvac.TemperatureControlView>

    </LinearLayout>

    <LinearLayout
        android:id="@+id/occlusion_buttons"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:gravity="center"
        android:layoutDirection="ltr"
        android:visibility="gone">
        <com.android.systemui.car.hvac.TemperatureControlView
            android:id="@+id/driver_hvac"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:layout_gravity="start"
            android:gravity="start|center_vertical"
            systemui:hvacAreaId="49">
            <include layout="@layout/adjustable_temperature_view"/>
        </com.android.systemui.car.hvac.TemperatureControlView>

        <com.android.systemui.car.hvac.TemperatureControlView
            android:id="@+id/passenger_hvac"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_gravity="end"
            android:layout_weight="1"
            android:gravity="end|center_vertical"
            systemui:hvacAreaId="68">
            <include layout="@layout/adjustable_temperature_view"/>
        </com.android.systemui.car.hvac.TemperatureControlView>
    </LinearLayout>
</com.android.systemui.car.systembar.CarSystemBarView>
